DP.Admin/Models/Navbar.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DP.Admin.Models
{
    public class Navbar
    {
        public int Id { get; set; }
        public string nameOption { get; set; }
        public string controller { get; set; }
        public string action { get; set; }
        public string area { get; set; }
        public string imageClass { get; set; }
        public string activeli { get; set; }
        public bool status { get; set; }
        public int parentId { get; set; }
        public bool isParent { get; set; }
    }
}

DP.Admin/Controllers/DatabaseController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using System.Web.Mvc;
using GridMvc;
using DP.Admin.Models;
using DP.Services.Business;
using DP.Common;
using DP.Services.Business.Administration;

namespace DP.Admin.Controllers
{
    public class DatabaseController : Controller
    {
        private DatabaseManager databaseManager;
        private CommonManager commonManager;
        public DatabaseController(DatabaseManager databaseManager, CommonManager commonManager)
        {
            this.databaseManager = databaseManager;
            this.commonManager = commonManager;
        }

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Tables()
        {
            return PartialView("_Tables", this.databaseManager.GetTableNames());
        }

       
    }

}

DP.Admin/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DP.Admin.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult FlotCharts()
        {
            return View("FlotCharts");
        }

        public ActionResult MorrisCharts()
        {
            return View("MorrisCharts");
        }

        public ActionResult Tables()
        {
            return View("Tables");
        }

        public ActionResult Forms()
        {
            return View("Forms");
        }

        public ActionResult Panels()
        {
            return View("Panels");
        }

        public ActionResult Buttons()
        {
            return View("Buttons");
        }

        public ActionResult Notifications()
        {
            return View("Notifications");
        }

        public ActionResult Typography()
        {
            return View("Typography");
        }

        public ActionResult Icons()
        {
            return View("Icons");
        }

        public ActionResult Grid()
        {
            return View("Grid");
        }

        public ActionResult Blank()
        {
            return View("Blank");
        }

        public ActionResult Login()
        {
            return View("Login");
        }

    }
}

DP.Admin/Controllers/NavbarController.cs
using DP.Admin.Domain;
using DP.Admin.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DP.Admin.Controllers
{
    public class NavbarController : Controller
    {
        // GET: Navbar
        public ActionResult Index()
        {
            var data = new Data();
            return PartialView("_Navbar", data.navbarItems().ToList());
        }
    }
}

DP.Admin/Controllers/OfferController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DP.Admin.Controllers
{
    public class OfferController : Controller
    {
        // GET: Offer
        public ActionResult Index()
        {
            return View();
        }

        // GET: Offer/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Offer/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Offer/Create
        [HttpPost]
        public ActionResult Create(FormCollection collection)
        {
            try
            {
                // TODO: Add insert logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Offer/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: Offer/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Offer/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: Offer/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}

DP.Admin/Controllers/TestController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace DP.Admin.Controllers
{
    public class TestController : ApiController
    {
        // GET: api/Test
        public IEnumerable<string> Get()
        {
            return new string[] { "value1", "value2" };
        }

        // GET: api/Test/5
        public string Get(int id)
        {
            return "value";
        }

        // POST: api/Test
        public void Post([FromBody]string value)
        {
        }

        // PUT: api/Test/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE: api/Test/5
        public void Delete(int id)
        {
        }
    }
}

DP.Admin/Controllers/api/DatabaseController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using GridMvc;
using DP.Admin.Models;
using DP.Services.Business;
using DP.Common;
using DP.Services.Business.Administration;
using DP.Services.Data.Models;

namespace DP.Admin.Controllers.Api
{
    public class DatabaseController : ApiController
    {
        private DatabaseManager databaseManager;
        private CommonManager commonManager;
        public DatabaseController(DatabaseManager databaseManager, CommonManager commonManager)
        {
            this.databaseManager = databaseManager;
            this.commonManager = commonManager;
        }

        [HttpGet]
        public IHttpActionResult Rows(string entity = "")
        {
            return Ok(Format<City>(this.commonManager.GetCities(),entity));
        }

        private object Format<T>(List<T> data, string table)
        {
            var props = typeof(T).GetType().GetProperties();
            List<GridColumn> Columns = new List<GridColumn>();
            foreach (var prop in props)
            {
                Columns.Add(new GridColumn() { Field = prop.Name, Title = prop.Name });
            }

            return new
            {
                Columns = Columns,
                Data = data,
                Table = table
            };
        }
    }

    public class GridColumn
    {
        public string Field { get; set; }
        public string Title { get; set; }
    }
}

DP.Admin/Views/Home/Blank.cshtml
@{
    ViewBag.Title = "Blank";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Blank</h1>
        </div>
        <!-- /.col-lg-12 -->
    </div>
    <!-- /.row -->
</div>
<!-- /.container-fluid -->

DP.Admin/Views/Home/Buttons.cshtml
@{
    ViewBag.Title = "Buttons";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">Buttons</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>
<!-- /.row -->
<div class="row">
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Default Buttons
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <h4>Normal Buttons</h4>
                <p>
                    <button type="button" class="btn btn-default">Default</button>
                    <button type="button" class="btn btn-primary">Primary</button>
                    <button type="button" class="btn btn-success">Success</button>
                    <button type="button" class="btn btn-info">Info</button>
                    <button type="button" class="btn btn-warning">Warning</button>
                    <button type="button" class="btn btn-danger">Danger</button>
                    <button type="button" class="btn btn-link">Link</button>
                </p>
                <br>
                <h4>Disabled Buttons</h4>
                <p>
                    <button type="button" class="btn btn-default disabled">Default</button>
                    <button type="button" class="btn btn-primary disabled">Primary</button>
                    <button type="button" class="btn btn-success disabled">Success</button>
                    <button type="button" class="btn btn-info disabled">Info</button>
                    <button type="button" class="btn btn-warning disabled">Warning</button>
                    <button type="button" class="btn btn-danger disabled">Danger</button>
                    <button type="button" class="btn btn-link disabled">Link</button>
                </p>
                <br>
                <h4>Button Sizes</h4>
                <p>
                    <button type="button" class="btn btn-primary btn-lg">Large button</button>
                    <button type="button" class="btn btn-primary">Default button</button>
                    <button type="button" class="btn btn-primary btn-sm">Small button</button>
                    <button type="button" class="btn btn-primary btn-xs">Mini button</button>
                    <br>
                    <br>
                    <button type="button" class="btn btn-primary btn-lg btn-block">Block level button</button>
                </p>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
        <div class="panel panel-default">
            <div class="panel-heading">
                Circle Icon Buttons with Font Awesome Icons
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <h4>Normal Circle Buttons</h4>
                <button type="button" class="btn btn-default btn-circle">
                    <i class="fa fa-check"></i>
                </button>
                <button type="button" class="btn btn-primary btn-circle">
                    <i class="fa fa-list"></i>
                </button>
                <button type="button" class="btn btn-success btn-circle">
                    <i class="fa fa-link"></i>
                </button>
                <button type="button" class="btn btn-info btn-circle">
                    <i class="fa fa-check"></i>
                </button>
                <button type="button" class="btn btn-warning btn-circle">
                    <i class="fa fa-times"></i>
                </button>
                <button type="button" class="btn btn-danger btn-circle">
                    <i class="fa fa-heart"></i>
                </button>
                <br>
                <br>
                <h4>Large Circle Buttons</h4>
                <button type="button" class="btn btn-default btn-circle btn-lg">
                    <i class="fa fa-check"></i>
                </button>
                <button type="button" class="btn btn-primary btn-circle btn-lg">
                    <i class="fa fa-list"></i>
                </button>
                <button type="button" class="btn btn-success btn-circle btn-lg">
                    <i class="fa fa-link"></i>
                </button>
                <button type="button" class="btn btn-info btn-circle btn-lg">
                    <i class="fa fa-check"></i>
                </button>
                <button type="button" class="btn btn-warning btn-circle btn-lg">
                    <i class="fa fa-times"></i>
                </button>
                <button type="button" class="btn btn-danger btn-circle btn-lg">
                    <i class="fa fa-heart"></i>
                </button>
                <br>
                <br>
                <h4>Extra Large Circle Buttons</h4>
                <button type="button" class="btn btn-default btn-circle btn-xl">
                    <i class="fa fa-check"></i>
                </button>
                <button type="button" class="btn btn-primary btn-circle btn-xl">
                    <i class="fa fa-list"></i>
                </button>
                <button type="button" class="btn btn-success btn-circle btn-xl">
                    <i class="fa fa-link"></i>
                </button>
                <button type="button" class="btn btn-info btn-circle btn-xl">
                    <i class="fa fa-check"></i>
                </button>
                <button type="button" class="btn btn-warning btn-circle btn-xl">
                    <i class="fa fa-times"></i>
                </button>
                <button type="button" class="btn btn-danger btn-circle btn-xl">
                    <i class="fa fa-heart"></i>
                </button>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Outline Buttons with Smooth Transition
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <h4>Outline Buttons</h4>
                <p>
                    <button type="button" class="btn btn-outline btn-default">Default</button>
                    <button type="button" class="btn btn-outline btn-primary">Primary</button>
                    <button type="button" class="btn btn-outline btn-success">Success</button>
                    <button type="button" class="btn btn-outline btn-info">Info</button>
                    <button type="button" class="btn btn-outline btn-warning">Warning</button>
                    <button type="button" class="btn btn-outline btn-danger">Danger</button>
                    <button type="button" class="btn btn-outline btn-link">Link</button>
                </p>
                <br>
                <h4>Outline Button Sizes</h4>
                <p>
                    <button type="button" class="btn btn-outline btn-primary btn-lg">Large button</button>
                    <button type="button" class="btn btn-outline btn-primary">Default button</button>
                    <button type="button" class="btn btn-outline btn-primary btn-sm">Small button</button>
                    <button type="button" class="btn btn-outline btn-primary btn-xs">Mini button</button>
                    <br>
                    <br>
                    <button type="button" class="btn btn-outline btn-primary btn-lg btn-block">Block level button</button>
                </p>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
        <div class="panel panel-default">
            <div class="panel-heading">
                Social Buttons with Font Awesome Icons
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <h4>Social Buttons</h4>
                <a class="btn btn-block btn-social btn-bitbucket">
                    <i class="fa fa-bitbucket"></i> Sign in with Bitbucket
                </a>
                <a class="btn btn-block btn-social btn-dropbox">
                    <i class="fa fa-dropbox"></i> Sign in with Dropbox
                </a>
                <a class="btn btn-block btn-social btn-facebook">
                    <i class="fa fa-facebook"></i> Sign in with Facebook
                </a>
                <a class="btn btn-block btn-social btn-flickr">
                    <i class="fa fa-flickr"></i> Sign in with Flickr
                </a>
                <a class="btn btn-block btn-social btn-github">
                    <i class="fa fa-github"></i> Sign in with GitHub
                </a>
                <a class="btn btn-block btn-social btn-google-plus">
                    <i class="fa fa-google-plus"></i> Sign in with Google
                </a>
                <a class="btn btn-block btn-social btn-instagram">
                    <i class="fa fa-instagram"></i> Sign in with Instagram
                </a>
                <a class="btn btn-block btn-social btn-linkedin">
                    <i class="fa fa-linkedin"></i> Sign in with LinkedIn
                </a>
                <a class="btn btn-block btn-social btn-pinterest">
                    <i class="fa fa-pinterest"></i> Sign in with Pinterest
                </a>
                <a class="btn btn-block btn-social btn-tumblr">
                    <i class="fa fa-tumblr"></i> Sign in with Tumblr
                </a>
                <a class="btn btn-block btn-social btn-twitter">
                    <i class="fa fa-twitter"></i> Sign in with Twitter
                </a>
                <a class="btn btn-block btn-social btn-vk">
                    <i class="fa fa-vk"></i> Sign in with VK
                </a>
                <hr>
                <div class="text-center">
                    <a class="btn btn-social-icon btn-bitbucket"><i class="fa fa-bitbucket"></i></a>
                    <a class="btn btn-social-icon btn-dropbox"><i class="fa fa-dropbox"></i></a>
                    <a class="btn btn-social-icon btn-facebook"><i class="fa fa-facebook"></i></a>
                    <a class="btn btn-social-icon btn-flickr"><i class="fa fa-flickr"></i></a>
                    <a class="btn btn-social-icon btn-github"><i class="fa fa-github"></i></a>
                    <a class="btn btn-social-icon btn-google-plus"><i class="fa fa-google-plus"></i></a>
                    <a class="btn btn-social-icon btn-instagram"><i class="fa fa-instagram"></i></a>
                    <a class="btn btn-social-icon btn-linkedin"><i class="fa fa-linkedin"></i></a>
                    <a class="btn btn-social-icon btn-pinterest"><i class="fa fa-pinterest"></i></a>
                    <a class="btn btn-social-icon btn-tumblr"><i class="fa fa-tumblr"></i></a>
                    <a class="btn btn-social-icon btn-twitter"><i class="fa fa-twitter"></i></a>
                    <a class="btn btn-social-icon btn-vk"><i class="fa fa-vk"></i></a>
                </div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
</div>
<!-- /.row -->

DP.Admin/Views/Home/FlotCharts.cshtml
@{
    ViewBag.Title = "FlotCharts";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">Flot</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>
<!-- /.row -->
<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                Line Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div class="flot-chart">
                    <div class="flot-chart-content" id="flot-line-chart"></div>
                </div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-12 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Pie Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div class="flot-chart">
                    <div class="flot-chart-content" id="flot-pie-chart"></div>
                </div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Multiple Axes Line Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div class="flot-chart">
                    <div class="flot-chart-content" id="flot-line-chart-multi"></div>
                </div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Moving Line Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div class="flot-chart">
                    <div class="flot-chart-content" id="flot-line-chart-moving"></div>
                </div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Bar Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div class="flot-chart">
                    <div class="flot-chart-content" id="flot-bar-chart"></div>
                </div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                Flot Charts Usage
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <p>Flot is a pure JavaScript plotting library for jQuery, with a focus on simple usage, attractive looks, and interactive features. In SB Admin, we are using the most recent version of Flot along with a few plugins to enhance the user experience. The Flot plugins being used are the tooltip plugin for hoverable tooltips, and the resize plugin for fully responsive charts. The documentation for Flot Charts is available on their website, <a target="_blank" href="http://www.flotcharts.org/">http://www.flotcharts.org/</a>.</p>
                <a target="_blank" class="btn btn-default btn-lg btn-block" href="http://www.flotcharts.org/">View Flot Charts Documentation</a>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
</div>
<!-- /.row -->

<!-- Flot Charts JavaScript -->
<script src="@Url.Content("~/bower_components/flot/excanvas.min.js")"></script>
<script src="@Url.Content("~/bower_components/flot/jquery.flot.js")"></script>
<script src="@Url.Content("~/bower_components/flot/jquery.flot.pie.js")"></script>
<script src="@Url.Content("~/bower_components/flot/jquery.flot.resize.js")"></script>
<script src="@Url.Content("~/bower_components/flot/jquery.flot.time.js")"></script>
<script src="@Url.Content("~/bower_components/flot.tooltip/js/jquery.flot.tooltip.min.js")"></script>
<script src="@Url.Content("~/Scripts/flot-data.js")"></script>

DP.Admin/Views/Home/Login.cshtml
@{
    ViewBag.Title = "Login";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container">
    <div class="row">
        <div class="col-md-4 col-md-offset-4">
            <div class="login-panel panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Please Sign In</h3>
                </div>
                <div class="panel-body">
                    <form role="form">
                        <fieldset>
                            <div class="form-group">
                                <input class="form-control" placeholder="E-mail" name="email" type="email" autofocus>
                            </div>
                            <div class="form-group">
                                <input class="form-control" placeholder="Password" name="password" type="password" value="">
                            </div>
                            <div class="checkbox">
                                <label>
                                    <input name="remember" type="checkbox" value="Remember Me">Remember Me
                                </label>
                            </div>
                            <!-- Change this to a button or input when using this as a form -->
                            <a href="index.html" class="btn btn-lg btn-success btn-block">Login</a>
                        </fieldset>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

DP.Admin/Views/Home/MorrisCharts.cshtml
@{
    ViewBag.Title = "MorrisCharts";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">Morris.js Charts</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>
<!-- /.row -->
<div class="row">
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Area Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div id="morris-area-chart"></div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Bar Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div id="morris-bar-chart"></div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Line Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div id="morris-line-chart"></div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-6">
        <div class="panel panel-default">
            <div class="panel-heading">
                Donut Chart Example
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <div id="morris-donut-chart"></div>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
    <div class="col-lg-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                Morris.js Usage
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <p>Morris.js is a jQuery based charting plugin created by Olly Smith. In SB Admin, we are using the most recent version of Morris.js which includes the resize function, which makes the charts fully responsive. The documentation for Morris.js is available on their website, <a target="_blank" href="http://morrisjs.github.io/morris.js/">http://morrisjs.github.io/morris.js/</a>.</p>
                <a target="_blank" class="btn btn-default btn-lg btn-block" href="http://morrisjs.github.io/morris.js/">View Morris.js Documentation</a>
            </div>
            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-6 -->
</div>
<!-- /.row -->

<script src="@Url.Content("~/bower_components/morrisjs/morris.min.js")"></script>
<script src="@Url.Content("~/Scripts/morris-data.js")"></script>

DP.Admin/Views/Offer/Index.cshtml
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

DP.Admin/Views/Shared/_Grid.cshtml
@using GridMvc.Columns
@model GridMvc.IGrid
@if (Model == null) { return; }
@if (Model.RenderOptions.RenderRowsOnly)
{
    @RenderGridBody();
}
else
{
    <div class="grid-mvc" data-lang="@Model.Language" data-gridname="@Model.RenderOptions.GridName" data-selectable="@Model.RenderOptions.Selectable.ToString().ToLower()" data-multiplefilters ="@Model.RenderOptions.AllowMultipleFilters.ToString().ToLower()">
        <div class="grid-wrap">
            <table class="table table-striped grid-table">
                @* Draw grid header *@
                <thead>
                    @RenderGridHeader()
                </thead>
                <tbody>
                    @RenderGridBody()
                </tbody>
            </table>
            @RenderGridPager()
        </div>
    </div>
}
@helper RenderGridBody()
{
    if (!Model.ItemsToDisplay.Any())
    {
    <tr class="grid-empty-text">
        <td colspan="@Model.Columns.Count()">
            @Model.EmptyGridText
        </td>
    </tr>
    }
    else
    {
        foreach (object item in Model.ItemsToDisplay)
        {
    <tr class="grid-row @Model.GetRowCssClasses(item)">
        @foreach (IGridColumn column in Model.Columns)
        {
            @column.CellRenderer.Render(column, column.GetCell(item))
        }
    </tr>
        }
    }
}
@helper RenderGridHeader()
{
    <tr>
        @foreach (IGridColumn column in Model.Columns)
        {
            @column.HeaderRenderer.Render(column)
        }
    </tr>
}
@helper RenderGridPager()
{
    if (Model.EnablePaging && Model.Pager != null)
    {
    <div class="grid-footer">
        @Html.Partial(Model.Pager.TemplateName, Model.Pager)
    </div>
    }
}

DP.Admin/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>SB Admin 2 - Bootstrap Admin Theme</title>
    @Styles.Render("~/Content/css")
    <link href="@Url.Content("~/bower_components/font-awesome/css/font-awesome.min.css")" rel="stylesheet" type="text/css" />

    <!-- scripts -->
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    <script src="@Url.Content("~/bower_components/metisMenu/dist/metisMenu.min.js")"></script>
    <script src="@Url.Content("~/Scripts/sb-admin-2.js")"></script>
    @*<script src="@Url.Content("~/bower_components/raphael/raphael-min.js")"></script>*@
    <script>
        window.AppRoot = '@string.Concat("http://",HttpContext.Current.Request.Url.Host, ":29128/")'
    </script>
</head>
<body>
    <div id="wrapper">
        <!-- Navigation -->
        @Html.Action("Index", "Navbar")
        
        <div id="page-wrapper">
            @RenderBody()          
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
   
    @RenderSection("scripts", required: false)
</body>
</html>